//
//  DC6Frame.h
//  MacDC6
//
//  Created by Carolyn Vaughan on 9/11/07.
//  Copyright 2007 Carolyn Vaughan. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class DC6Palette;

@interface DC6Frame : NSObject
{
	NSImage*	frameImage;
	
	unsigned char*		dc6Frame;
	
	unsigned long		flip; 
	unsigned long		width; 
	unsigned long		height;
	long				offsetX; 
	long				offsetY;        // from bottom border, not up 	
	unsigned long		frameLength;
}

- (NSImage*)frameImage;
- (void)setFrameImage:(NSImage*)image;
- (char*)dc6Frame;
- (void)setDc6Frame:(unsigned char*)frame;
	
- (long)flip;
- (void)setFlip:(long)isFlipped;
- (long)width; 
- (void)setWidth:(long)newWidth;
- (long)height; 
- (void)setHeight:(long)newHeight;
- (long)offsetX; 
- (void)setOffsetX:(long)xOffset;
- (long)offsetY;        // from bottom border, not up 	
- (void)setOffsetY:(long)yOffset;
- (unsigned long)frameLength;	
- (void)setFrameLength:(long)length;

- (void)makeImageFromFrameWithPalette:(DC6Palette*)palette;

@end
